This is the mail archive of the cygwin-apps mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

[ITP] gmp-4.2 and mpfr-2.2

The current cygwin version of gmp is 4.1.4.  This also contains an old version
of mpfr.  The latest version of gmp is 4.2.  It no longer contains it own
vestion of mpfr.

I have packaged gmp-4.2 and mpfr-2.2.0.  The current gmp maintainer Lapo Luchini
is happy for me to offer these for review and take over as maintainer if
they are acceptable.

As gfortran - the fortran compiler in gcc-4 - uses libgmp3 and libmpfr, it
seems sensible to break the monolithic packages into 

The new cyggmp3.dll is suposed to be binary compatible with the current release,
and limited testing confirms this.

The new cygmpfr1.dll is not binary compatible with the current cygmpfr0.dll.
How should this be managed?  Should I provide a libmpfr0 package that just 
contains the existing cygmpfr0.dll?

This e-mail and any attachments are private and confidential and may contain privileged information. If you are not an authorised recipient, the copying or distribution of this e-mail and any attachments is prohibited and you must not read, print or act in reliance on this e-mail or attachments.
This notice should not be removed.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]